/****************************************************************************

 This file is part of the qdu distribution
 Copyright (C) 2002, 2003, 2004  Gilles Debunne (Gilles.Debunne@imag.fr)
 Version 2.2-2, packaged on Tuesday February 1, 2005.

 http://artis.imag.fr/Membres/Gilles.Debunne/Code/QDU

 QDU is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 QDU is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with QDU; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*****************************************************************************/
#include "directoryView.h"
#include "qduInterface.h"

#include <qapplication.h>
#include <qdir.h>
#include <qmessagebox.h>
#include <qstring.h>

int main( int argc, char ** argv )
{
  QApplication appli( argc, argv );

  QString rootDir = QDir::currentDirPath();
  if (argc > 1)
    {
      QFileInfo arg(argv[1]);
      if (arg.exists())
	rootDir = arg.absFilePath();
      else
	{
	  QMessageBox::information(NULL, "Unknown directory ", "Unknown directory<br>" + arg.absFilePath() +
				   "<br><br>Usage : <b>qdu [dirName]</b><br>(no dirName will scan current directory)");
	  return 1;
	}
    }

  Qdu qdu;
  qdu.resize( 1000, 800 );
  appli.setMainWidget( &qdu );
  qdu.dirView->setRootDirectory(rootDir);
  qdu.show();
  qdu.dirView->firstChild()->setOpen(true);
  qdu.dirView->fitScale();

  return appli.exec();
}
